# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*ClavierSetup*.exe")[0]
    # Installing the software
    print("Installing: %s" % bin_name)

    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT /LOADINF=conf.inf",
        key="Clavier+_is1",
        min_version=package_version,
    )
